Your best friend for file transfer.

Fetch application logoFetch

Can't open application (2 posts)

  • Started 5 years ago by elaine
  • Latest reply 5 years ago from Scott McGuire
  • elaine Member

    After years of successful operation, I suddenly cannot open my Fetch application. It is the first time using it since upgrading from Mac Leopard to Snow Leopard. Has anyone else had compatability issues? Any other ideas?

    Posted 5 years ago #

  • Scott McGuire Administrator

    Hi Elaine,

    Some older versions of Fetch are not compatible with Snow Leopard and will not open on it, so my guess is you have a somewhat out of date version of Fetch.

    You can download a free update to Fetch 5.3.1, which will work with Snow Leopard, from our downloads page.

    You may also want to consider upgrading to Fetch 5.5.3, our latest version, which has further improvements to take advantage of some of Snow Leopard's new features. It is a $10 upgrade. You can purchase the upgrade from our upgrade page, and you can find out more about what's new in Fetch 5.5.

    Please let us know if you have further questions.

    Thanks,

    Scott McGuire
    Fetch Softworks

    Posted 5 years ago #

Reply

  • Or nickname, if you prefer.
  • This will be kept confidential.
  • This is to ensure that you’re a person, not a spambot.